# Info API

This endpoint retrieves basic details about your Monolith tenant and the API key currently being used. &#x20;

{% hint style="info" %}
Use the endpoint as a quick test to ensure your call to the API is working.
{% endhint %}

## Get Info

<mark style="color:green;">`GET`</mark> `/api/v1/info`

This endpoint retrieves basic details about your Monolith tenant and the API key currently being used.

No parameters are required for this API.

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
    "message": "Monolith API is running",
    "success": true,
    "user": {
        "name": "John McClain",
        "email": "jmcclain@diehard.com",
        "title": "Detective",
        "user_id": 1,
        "last_name": "McClain",
        "first_name": "John",
        "monolith_tenant": "tenant_123abc345"
    }
}
```

{% endtab %}

{% tab title="400" %}

```json
{
  "error": "Invalid request"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.monolithforensics.com/monolith/monolith-api/info-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
